summaryrefslogtreecommitdiff
path: root/dev-python/boto3
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-05-07 07:10:39 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-05-07 07:10:39 +0000
commit6dd565aea2fc1e47796bb22fc2ec929c74dfa246 (patch)
tree97379541729a9e467025bf3266d6b70a207c35ae /dev-python/boto3
parent6c2c44c149dc52d1f72e760c171f73fa33c4ee45 (diff)
downloadbaldeagleos-repo-6dd565aea2fc1e47796bb22fc2ec929c74dfa246.tar.gz
baldeagleos-repo-6dd565aea2fc1e47796bb22fc2ec929c74dfa246.tar.xz
baldeagleos-repo-6dd565aea2fc1e47796bb22fc2ec929c74dfa246.zip
Adding metadata
Diffstat (limited to 'dev-python/boto3')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.43.5.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 753305ebf625..0449571f02f5 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -6,3 +6,4 @@ DIST boto3-1.42.96.gh.tar.gz 1129293 BLAKE2B 186684ffe3d8e776e6f7462b4c7fdd996fe
DIST boto3-1.43.2.gh.tar.gz 1133320 BLAKE2B 21890b9f6629ec5af1da155d767a6117beada74550c292ba07d6900666bef39722740493e343a4770cf7f8adbb0030462d9e41366daee4c2bc17c391f14153f2 SHA512 b807ff1e6133285f6f64a83e328b7522f18d2de63838e9d6d70b982f44316b63aed90ddf3cbc12c6c32967c35807c0ef548d647588cd76c09a363e4de0c9b1e0
DIST boto3-1.43.3.gh.tar.gz 1134373 BLAKE2B 040db467be8b1722e99c602b7d3a23e799815506edc6970d0ca552b84efca800088ebd21a1c1a8ff9b3317cabf85d659cd7790aef01d96267c3ae03a8de824c1 SHA512 9c9c8f405b7fd501aa1c0e6b4360aa94ea2b36c81c0a32d84e528a32a3697859abe0c4d74b324ccb8bfa6b4edff34d2cbe5d83f383b3ae63bbfbc847727a49c2
DIST boto3-1.43.4.gh.tar.gz 1135368 BLAKE2B f392e76b8994d81756b68a91dea865520b6fc7ac65d928e550171b118559ad4c0d05aa9867f1ba7970dc649f440a3a0b581f01c1a618568b69db1ab4822b07df SHA512 bbe8c33efb2176e62ce444e9ec30ba72ad0dee2f97c0406e1f0138848fdf9efbd39ae7f66a947d79dad42dc060397995d7a1bbbc5e4bcc9828978a255f9cac25
+DIST boto3-1.43.5.gh.tar.gz 1136591 BLAKE2B 5bde6e4377507b98a1befea6a9288b3762940032dd71e16bd919a7eb763e1c8e49dbb8bd578e8b10b2696becdfe97e9f3ec395c72120384f2700316daa07f6cf SHA512 fddd9b0ecef5cc7c03a8845a64566ccdeefaadbbe6912e1b346a9fb584851783b9f030d750cf242892afdcd849a91555295f27966da5403361e13b7e450f54b5
diff --git a/dev-python/boto3/boto3-1.43.5.ebuild b/dev-python/boto3/boto3-1.43.5.ebuild
new file mode 100644
index 000000000000..11cadb4f704f
--- /dev/null
+++ b/dev-python/boto3/boto3-1.43.5.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.17.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}